FactoryBot.define do
  factory :work_product, class: 'Ecom::Model::WorkProduct' do
    code { FFaker::Name.unique.name }
    name { FFaker::Name.name }
    description { FFaker::Name.name }
    design_reference_no { FFaker::Name.name }
    dimension { [{ label: 'Length', name: 'length', value: 12 }] }
    association :task
    association :work_product_template
    association :project
    assignment_status { :unassigned }
    task_status { :new }
    percent_completed { FFaker::Random.rand(1..100) }
    remark { FFaker::Name.name }
    association :performer, factory: :user
    association :approver, factory: :user
    association :supervisor, factory: :user
    association :quality_controller, factory: :user
    start_date { 1.day.ago }
    completion_date { Time.now.next_week }
  end
end
